# class Xapian::ValueCountMatchSpy

Refer to the Xapian::ValueCountMatchSpy C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

top_values(maxvalues) click to toggle source

Returns an Array of the top values seen, by frequency

    # File ../../../../../ruby/docs/xapian.rb, line 307
    def top_values(maxvalues)
      Xapian._safelyIterate(self._dangerous_top_values_begin(maxvalues),
                            self._dangerous_top_values_end(maxvalues)) { |item|
        Xapian::Term.new(item.term, 0, item.termfreq)
      }
    end

values() click to toggle source

Returns an Array of all the values seen, in alphabetical order

    # File ../../../../../ruby/docs/xapian.rb, line 299
    def values()
      Xapian._safelyIterate(self._dangerous_values_begin(),
                            self._dangerous_values_end()) { |item|
        Xapian::Term.new(item.term, 0, item.termfreq)
      }
    end